/***********************************************
 * THEME: CUSTOM CURSOR
 ***********************************************/
(function ($) {

	'use strict';

	PTFJS.customCursor = {
		init: function () {

			if (!$('.ptf-custom-cursor').length) {
				PTFJS.body.append('<div class="ptf-custom-cursor"></div>');
			}

			var customCursor = $('.ptf-custom-cursor'),
				isActive = false;

			$('[data-cursor]').each(function () {
				var $this = $(this),
					value = $this.data('cursor');

				$this.on('mousemove', show),
				$this.on('mouseleave', hide);

				function show() {
					if (!isActive) {
						customCursor.addClass('active');
						customCursor.css('background-image', `url(${value})`);
						isActive = true;
					}
				}

				function hide() {
					if (isActive) {
						customCursor.removeClass('active');
						isActive = false;
					}
				}

			});

			$('[data-cursor]').on('mousemove pointermove', trackPosition);

			function trackPosition(e) {
				customCursor.css({
					top: e.clientY + 'px',
					left: e.clientX + 'px'
				});
			}

		}
	};

	PTFJS.customCursor.init();

	PTFJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/ptf-timeline.default',
			PTFJS.customCursor.init
		);
	});

})(jQuery);