/***********************************************
 * THEME: FULLPAGE SLIDER
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof $.fn.pagepiling == 'undefined') {
		return;
	}

	PTFJS.fullpageSlider = {

		init: function () {

			var fullpageSlider = $('.ptf-fullpage-slider'),
				progressBar = fullpageSlider.find('.ptf-nav-widget'),
				loopTop = fullpageSlider.data('loop-top') ? true : false,
				loopBottom = fullpageSlider.data('loop-bottom') ? true : false,
				speed = fullpageSlider.data('speed') || 800,
				anchors = [];

			if (!fullpageSlider.length) {
				return;
			}

			$('.ptf-offcanvas-menu ul.sf-menu > li:first-of-type').addClass('active');

			PTFJS.body.css('overflow', 'hidden');
			PTFJS.html.css('overflow', 'hidden');

			fullpageSlider.find('[data-anchor]').each(function () {
				anchors.push($(this).data('anchor'));
			});

			function ptfhemes_navigation() {
				var total = fullpageSlider.find('.ptf-section').length,
					current = fullpageSlider.find('.ptf-section.active').index(),
					scale = (current + 1) / total;

				progressBar.find('.ptf-nav-widget__line>span').css({
					'transform': 'scaleX(' + scale + ')'
				});

				progressBar.find('.ptf-nav-widget__number').html(current + 1 + '/' + total);

			}

			fullpageSlider.pagepiling({
				menu: '.ptf-offcanvas-menu ul.sf-menu, .ptf-navbar-menu ul.sf-menu, .ptf-footer-menu ul.sf-menu',
				scrollingSpeed: speed,
				loopTop: loopTop,
				loopBottom: loopBottom,
				anchors: anchors,
				sectionSelector: '.ptf-section',
				navigation: false,
				afterRender: function () {
					ptfhemes_navigation();
					PTFJS.window.trigger('ptf.change-slide');
				},
				onLeave: function () {
					ptfhemes_navigation();
					PTFJS.window.trigger('ptf.change-slide');
				}
			});

		}
	};

	PTFJS.fullpageSlider.init();

})(jQuery);