/***********************************************
 * THEME: MENU OFFCANVAS
 ***********************************************/
(function ($) {

	'use strict';

	var menuIsOpen = false;

	PTFJS.menuOffcanvas = {
		config: {
			easing: 'power2.out'
		},
		init: function () {
			var menu = $('.ptf-offcanvas-menu'),
				navigation = menu.find('ul.sf-menu'),
				navigationItem = navigation.find('> li'),
				menuToggle = $('.js-offcanvas-menu-toggle');

			if (typeof $.fn.superclick !== 'undefined') {
				navigation.superclick({
					delay: 300,
					cssArrows: false,
					animation: {
						opacity: 'show',
						height: 'show'
					},
					animationOut: {
						opacity: 'hide',
						height: 'hide'
					},
				});
			}

			menuToggle.on('click', function (e) {
				e.preventDefault();
				if (!menuIsOpen) {
					PTFJS.menuOffcanvas.open_menu(menu);
				} else {
					PTFJS.menuOffcanvas.close_menu(menu);
				}
			});

			PTFJS.document.keyup(function (e) {
				if (e.keyCode === 27 && menuIsOpen) {
					e.preventDefault();
					PTFJS.menuOffcanvas.close_menu(menu);
				}
			});

			// Close after click to anchor.
			navigationItem.filter('[data-menuanchor]').on('click', 'a', function () {
				if (menuIsOpen) {
					PTFJS.menuOffcanvas.close_menu(menu);
				}
			});

		},
		open_menu: function (menu) {
			menuIsOpen = true;
			menu.addClass('is-open');
		},
		close_menu: function (menu) {
			menuIsOpen = false;
			menu.removeClass('is-open');
		}
	};

	PTFJS.menuOffcanvas.init();

})(jQuery);