/***********************************************
 * WIDGET: BLOG SLIDER
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof Swiper === 'undefined') {
		return;
	}

	PTFJS.blogSlider = {
		init: function ($scope, $) {

			var blogSlider = $scope.find('.ptf-blog-slider'),
				anchor = blogSlider.data('navigation-anchor');

			new Swiper(blogSlider, {
				loop: true,
				slidesPerView: 'auto',
				spaceBetween: 10,
				speed: 1000,
				navigation: {
					nextEl: $(anchor).find('.ptf-swiper-button-next'),
					prevEl: $(anchor).find('.ptf-swiper-button-prev')
				},
				breakpoints: {
					575: {
						spaceBetween: 10
					},
					767: {
						spaceBetween: 20
					},
					991: {
						spaceBetween: 30
					},
					1199: {
						spaceBetween: 40
					}
				},
			});

		}
	}

	PTFJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/ptf-blog-slider.default',
			PTFJS.blogSlider.init
		);
	});

})(jQuery);