/***********************************************
 * WIDGET: IMAGE SLIDER
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof Swiper === 'undefined') {
		return;
	}

	PTFJS.imageSlider = {
		init: function ($scope, $) {

			var imageSlider = $scope.find('.ptf-image-slider'),
				anchor = imageSlider.data('navigation-anchor');

			var swiper = new Swiper(imageSlider, {
				init: false,
				loop: true,
				slidesPerView: 1,
				spaceBetween: 10,
				speed: 1000,
				navigation: {
					nextEl: $(anchor).find('.ptf-swiper-button-next'),
					prevEl: $(anchor).find('.ptf-swiper-button-prev')
				},
				breakpoints: {
					575: {
						spaceBetween: 10,
						slidesPerView: 1
					},
					767: {
						spaceBetween: 20,
						slidesPerView: 'auto'
					},
					991: {
						spaceBetween: 30,
						slidesPerView: 'auto'
					},
					1199: {
						spaceBetween: 40,
						slidesPerView: 'auto'
					}
				},
			});

			swiper.init();

		}
	}

	PTFJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/ptf-image-slider.default',
			PTFJS.imageSlider.init
		);
	});

})(jQuery);