/***********************************************
 * WIDGET: SERVICES LIST
 ***********************************************/
(function ($) {

	'use strict';

	PTFJS.servicesList = {
		init: function ($scope, $) {

			var servicesList = $scope.find('.ptf-services-list'),
				card = servicesList.find('.ptf-services-card'),
				cardContent = card.find('.ptf-services-card__content'),
				tab = servicesList.find('.ptf-services-tab');

			card.eq(0).addClass('active');
			card.eq(0).find('.ptf-services-card__content').slideDown();
			tab.eq(0).addClass('active');

			card.on('mouseenter', function () {
				var currentEl = $(this),
					currentCardContent = currentEl.find('.ptf-services-card__content'),
					index = currentEl.index();

				if (!currentEl.hasClass('active')) {
					cardContent.hide();
					card.removeClass('active');
					tab.removeClass('active');
				}

				currentCardContent.slideDown();
				card.eq(index).addClass('active');
				tab.eq(index).addClass('active');

			});

		}
	}

	PTFJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/ptf-services-list.default',
			PTFJS.servicesList.init
		);
	});

})(jQuery);