/***********************************************
 * WIDGET: TESTIMONIAL SLIDER
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof Swiper === 'undefined') {
		return;
	}

	PTFJS.testimonialSlider = {
		init: function ($scope, $) {

			var testimonialSlider = $scope.find('.ptf-testimonial-slider');

			new Swiper(testimonialSlider, {
				loop: true,
				slidesPerView: 'auto',
				spaceBetween: 10,
				speed: 1000,
				navigation: {
					nextEl: testimonialSlider.find('.ptf-swiper-button-next'),
					prevEl: testimonialSlider.find('.ptf-swiper-button-prev')
				},
				breakpoints: {
					575: {
						spaceBetween: 10
					},
					767: {
						spaceBetween: 20
					},
					991: {
						spaceBetween: 30
					},
					1199: {
						spaceBetween: 40
					}
				},
			});

		}
	}

	PTFJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/ptf-testimonial-slider.default',
			PTFJS.testimonialSlider.init
		);
	});

})(jQuery);