/***********************************************
 * WIDGET: WORKS SLIDER
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof Swiper === 'undefined') {
		return;
	}

	PTFJS.worksSlider = {
		init: function ($scope, $) {

			var worksSlider = $scope.find('.ptf-works-slider'),
				anchor = worksSlider.data('navigation-anchor');

			new Swiper(worksSlider, {
				loop: true,
				slidesPerView: 'auto',
				spaceBetween: 10,
				navigation: {
					nextEl: $(anchor).find('.ptf-swiper-button-next'),
					prevEl: $(anchor).find('.ptf-swiper-button-prev'),
				},
				breakpoints: {
					575: {
						spaceBetween: 10
					},
					767: {
						spaceBetween: 20
					},
					991: {
						spaceBetween: 30
					},
					1199: {
						spaceBetween: 40
					}
				},
			});

		}
	}

	PTFJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/ptf-works-slider.default',
			PTFJS.worksSlider.init
		);
	});

})(jQuery);