<?php

/**
 * @author: ptfhemes
 * @version: 1.0.0
 */

if ( post_password_required() ) {
	return;
}

?>

<div class="ptf-page-comments" id="comments">

	<div class="container p-0">

		<div class="row">

			<div class="col-md-8 offset-md-4 col-xl-7 offset-xl-5">

				<?php if ( comments_open() || have_comments() ) : ?>

					<?php if ( have_comments() ) : ?>

						<div class="ptf-page-comments__list">

							<h3 class="ptf-page-comments__title">
								<?php comments_number( esc_html__( 'No comments', 'ryen-king' ) , esc_html__( 'Comments (1):', 'ryen-king' ) , esc_html__( 'Comments (%):', 'ryen-king' ) ); ?>
							</h3>

							<ul class="ptf-comments">

								<?php

									wp_list_comments( array(
										'avatar_size' => 80,
										'style' => 'ul',
										'max_depth' => 3,
										'short_ping' => true,
										'reply_text' => esc_html__( 'Reply', 'ryen-king' ),
										'callback' => 'ryenking_callback_custom_comment',
									) );

								?>

							</ul>

							<?php echo ryenking_get_comment_navigation(); ?>

						</div>
						<!-- /.ptf-page-comments__list -->

					<?php endif; ?>

					<?php if ( comments_open() ) : ?>

						<div class="ptf-page-comments__form">

							<?php

								$commenter = wp_get_current_commenter();

								$args = array(
									'title_reply' => esc_html__( 'Leave your comment:', 'ryen-king' ),
									'title_reply_before' => '<h3 class="ptf-page-comments__title">',
									'title_reply_after' => '</h3>',
									'cancel_reply_before' => '',
									'cancel_reply_after' => '',
									'comment_notes_before' => '',
									'comment_notes_after' => '',
									'title_reply_to' => esc_html__( 'Leave a Reply', 'ryen-king' ),
									'cancel_reply_link' => '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="square" stroke-linejoin="round"><line x1="18" y1="6" x2="6" y2="18"></line><line x1="6" y1="6" x2="18" y2="18"></line></svg>',
									'submit_button' => '<button type="submit" id="%2$s" class="%3$s"><span>%4$s</span><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 32 16"><path fill="currentColor" d="M23.224 0l-1.426 1.3 6.343 5.781H0V8.92h28.141L21.798 14.7 23.224 16 32 8l-8.776-8z"/></svg></button>',
									'class_submit' => 'ptf-btn ptf-btn--primary',
									'label_submit' => esc_html__( 'Submit', 'ryen-king' ),
									'fields' => array(
										'cookies' => false,
										'author' => '<div class="ptf-form-row two-col"><div class="ptf-form-group"><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" class="ptf-form-control" placeholder="' . esc_attr__( 'Your Name*', 'ryen-king' ) . '"></div>',
										'email' => '<div class="ptf-form-group"><input id="email" name="email" type="text" value="' . esc_attr( $commenter['comment_author_email'] ) . '" class="ptf-form-control" placeholder="' . esc_attr__( 'Email Address*', 'ryen-king' ) . '"></div></div>',
									),
								);

								$args['comment_field'] = '<div class="ptf-form-group"><textarea id="comment" name="comment" rows="1" class="ptf-form-control" placeholder="' . esc_attr__( 'Comment', 'ryen-king' ) . '"></textarea></div>';

								comment_form( $args );

							?>

						</div>
						<!-- /.ptf-page-comments__form -->

					<?php endif; ?>

				<?php endif; ?>

			</div>

		</div>

	</div>

</div>