<?php

/**
 * @author: paul_tf
 * @version: 1.0.0
 */

$priority = 0;

/**
 * Footer general
 */
PTF_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sfg_1',
	'section' => 'section_footer_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'ryen-king' ) . '</div>',
	'priority' => $priority++,
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'footer_show',
	'section' => 'section_footer_general',
	'label' => esc_html__( 'Footer Show', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'ryen-king' ),
		'hide' => esc_html__( 'Hide', 'ryen-king' ),
	),
	'default' => 'show',
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'footer_layout',
	'section' => 'section_footer_general',
	'label' => esc_html__( 'Footer Layout', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'ryen-king' ),
		'template' => esc_html__( 'Template', 'ryen-king' ),
	),
	'default' => 'default',
	'active_callback' => array(
		array(
			'setting' => 'footer_show',
			'operator' => '==',
			'value' => 'show',
		)
	)
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'footer_fixed',
	'section' => 'section_footer_general',
	'label' => esc_html__( 'Footer Fixed', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'ryen-king' ),
		'disable' => esc_html__( 'Disable', 'ryen-king' )
	),
	'active_callback' => array(
		array(
			'setting' => 'footer_show',
			'operator' => '==',
			'value' => 'show',
		),
		array(
			'setting' => 'footer_layout',
			'operator' => '==',
			'value' => 'default',
		)
	),
	'default' => 'disable',
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'footer_template',
	'section' => 'section_footer_general',
	'label' => esc_html__( 'Footer Template', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => ryenking_get_elementor_templates(),
	'active_callback' => array(
		array(
			'setting' => 'footer_show',
			'operator' => '==',
			'value' => 'show'
		),
		array(
			'setting' => 'footer_layout',
			'operator' => '==',
			'value' => 'template',
		)
	)
) );