<?php

/**
 * @author: paul_tf
 * @version: 1.0.0
 */

$priority = 0;

/**
 * Header general
 */
PTF_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shg_1',
	'section' => 'section_header_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'ryen-king' ) . '</div>',
	'priority' => $priority++,
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'navigation_show',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Header Show', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'ryen-king' ),
		'hide' => esc_html__( 'Hide', 'ryen-king' ),
	),
	'default' => 'show',
) );

PTF_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shg_2',
	'section' => 'section_header_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Navigation', 'ryen-king' ) . '</div>',
	'priority' => $priority++,
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
	),
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'navigation_opaque',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Navigation Opaque', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'ryen-king' ),
		'disable' => esc_html__( 'Disable', 'ryen-king' ),
	),
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
	),
	'default' => 'enable',
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'navigation_transparent',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Transparent', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'ryen-king' ),
		'disable' => esc_html__( 'Disable', 'ryen-king' ),
	),
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
	),
	'default' => 'disable',
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'navigation_transparent_always',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Transparent Always', 'ryen-king' ),
	'description' => esc_html__( 'Transparent also after page scrolled down.', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'ryen-king' ),
		'disable' => esc_html__( 'Disable', 'ryen-king' ),
	),
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
	),
	'default' => 'disable',
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'navigation_sticky',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Sticky', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'ryen-king' ),
		'disable' => esc_html__( 'Disable', 'ryen-king' ),
	),
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
	),
	'default' => 'enable',
) );

PTF_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shg_3',
	'section' => 'section_header_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Logo', 'ryen-king' ) . '</div>',
	'priority' => $priority++,
) );

PTF_Options::add_field( array(
	'type' => 'image',
	'settings' => 'navigation_logo',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Logo', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
) );

PTF_Options::add_field( array(
	'type' => 'dimension',
	'settings' => 'navigation_logo_height',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Logo Height', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
	'output' => array(
		array(
			'element' => '.ptf-header .ptf-navbar-logo img',
			'property' => 'height'
		)
	)
) );

/**
 * Offcanvas menu
 */
PTF_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'som_1',
	'section' => 'section_offcanvas_menu',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Logo', 'ryen-king' ) . '</div>',
	'priority' => $priority++,
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		)
	),
) );

PTF_Options::add_field( array(
	'type' => 'image',
	'settings' => 'offcanvas_logo',
	'section' => 'section_offcanvas_menu',
	'label' => esc_html__( 'Logo', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
) );

PTF_Options::add_field( array(
	'type' => 'dimension',
	'settings' => 'offcanvas_logo_height',
	'section' => 'section_offcanvas_menu',
	'label' => esc_html__( 'Logo Height', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
	'output' => array(
		array(
			'element' => '.ptf-offcanvas-menu__logo img',
			'property' => 'height'
		)
	)
) );
