<?php

/**
 * @author: paul_tf
 * @version: 1.0.0
 */

$priority = 0;

/**
 * Blog page
 */
PTF_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sb_1',
	'section' => 'section_blog',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'ryen-king' ) . '</div>',
	'priority' => $priority++,
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'blog_layout',
	'section' => 'section_blog',
	'label' => esc_html__( 'Blog Layout', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'ryen-king' ),
	),
	'default' => 'default',
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'blog_type_pagination',
	'section' => 'section_blog',
	'label' => esc_html__( 'Type Pagination', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'ryen-king' ),
		'paged' => esc_html__( 'Paged', 'ryen-king' ),
		'numeric' => esc_html__( 'Numeric', 'ryen-king' ),
	),
	'default' => 'numeric',
) );

PTF_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sb_2',
	'section' => 'section_blog',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Page Title', 'ryen-king' ) . '</div>',
	'priority' => $priority++,
) );

PTF_Options::add_field( array(
	'type' => 'text',
	'settings' => 'blog_title',
	'section' => 'section_blog',
	'label' => esc_html__( 'Blog Title', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => esc_html__( 'Recent News', 'ryen-king' ),
) );

PTF_Options::add_field( array(
	'type' => 'image',
	'settings' => 'blog_image',
	'section' => 'section_blog',
	'label' => esc_html__( 'Image', 'ryen-king' ),
	'priority' => $priority++,
	'default' => '',
	'choices' => [
		'save_as' => 'id',
	],
) );

/**
 * Archive page
 */
PTF_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sa_1',
	'section' => 'section_archive',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'ryen-king' ) . '</div>',
	'priority' => $priority++,
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'archive_layout',
	'section' => 'section_archive',
	'label' => esc_html__( 'Archive Layout', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'ryen-king' ),
	),
	'default' => 'default',
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'archive_type_pagination',
	'section' => 'section_archive',
	'label' => esc_html__( 'Type Pagination', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'ryen-king' ),
		'paged' => esc_html__( 'Paged', 'ryen-king' ),
		'numeric' => esc_html__( 'Numeric', 'ryen-king' ),
	),
	'default' => 'paged',
) );

PTF_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sa_2',
	'section' => 'section_archive',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Page Title', 'ryen-king' ) . '</div>',
	'priority' => $priority++,
) );

PTF_Options::add_field( array(
	'type' => 'image',
	'settings' => 'archive_image',
	'section' => 'section_archive',
	'label' => esc_html__( 'Image', 'ryen-king' ),
	'priority' => $priority++,
	'default' => '',
	'choices' => [
		'save_as' => 'id',
	],
) );

/**
 * Search page
 */
PTF_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'ss_1',
	'section' => 'section_search',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'ryen-king' ) . '</div>',
	'priority' => $priority++,
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'search_layout',
	'section' => 'section_search',
	'label' => esc_html__( 'Search Layout', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'ryen-king' ),
	),
	'default' => 'default',
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'search_type_pagination',
	'section' => 'section_search',
	'label' => esc_html__( 'Type Pagination', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'ryen-king' ),
		'paged' => esc_html__( 'Paged', 'ryen-king' ),
		'numeric' => esc_html__( 'Numeric', 'ryen-king' ),
	),
	'default' => 'paged',
) );

PTF_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'ss_2',
	'section' => 'section_search',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Page Title', 'ryen-king' ) . '</div>',
	'priority' => $priority++,
) );

PTF_Options::add_field( array(
	'type' => 'image',
	'settings' => 'search_image',
	'section' => 'section_search',
	'label' => esc_html__( 'Image', 'ryen-king' ),
	'priority' => $priority++,
	'default' => '',
	'choices' => [
		'save_as' => 'id',
	],
) );

/**
 * Single post
 */
PTF_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'ssp_1',
	'section' => 'section_single_post',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'ryen-king' ) . '</div>',
	'priority' => $priority++,
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'comment_placement',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Comment Placement', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'top' => esc_html__( 'Top', 'ryen-king' ),
		'bottom' => esc_html__( 'Bottom', 'ryen-king' )
	),
	'default' => 'bottom',
) );

PTF_Options::add_field( array(
	'type' => 'select',
	'settings' => 'show_share_post',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Post Share', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'ryen-king' ),
		'hide' => esc_html__( 'Hide', 'ryen-king' )
	),
	'default' => 'hide',
) );

/**
 * Page 404
 */
PTF_Options::add_field( array(
	'type' => 'text',
	'settings' => 'error_title',
	'section' => 'section_404',
	'label' => esc_html__( 'Error Title', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => esc_html__( 'Page not found', 'ryen-king' ),
) );

PTF_Options::add_field( array(
	'type' => 'textarea',
	'settings' => 'error_subtitle',
	'section' => 'section_404',
	'label' => esc_html__( 'Error Subtitle', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => esc_html__( 'We are sorry. But the page you are looking for cannot be found.', 'ryen-king' ),
) );