<?php

/**
 * @author: paul_tf
 * @version: 1.0.0
 */

$priority = 0;

/**
 * General fonts
 */
PTF_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'primary_font',
	'section' => 'typography_fonts',
	'label' => esc_html__( 'Primary Font', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => ryenking_add_custom_choice(),
	'default' => array(
		'font-family' => 'Manrope'
	),
	'output' => array(
		array(
			'choice' => 'font-family',
			'element' => ':root',
			'property' => '--ptf-primary-font',
			'context' => array( 'editor', 'front' ),
		)
	)
) );

PTF_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'secondary_font',
	'section' => 'typography_fonts',
	'label' => esc_html__( 'Secondary Font', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => ryenking_add_custom_choice(),
	'default' => array(
		'font-family' => 'NeueMachina'
	),
	'output' => array(
		array(
			'choice' => 'font-family',
			'element' => ':root',
			'property' => '--ptf-secondary-font',
			'context' => array( 'editor', 'front' ),
		)
	)
) );

/**
 * Body typography
 */
PTF_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'base_typography',
	'section' => 'typography_text',
	'label' => esc_html__( 'Base Typography', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => ryenking_add_custom_choice(),
	'default' => array(
		'font-family' => 'Manrope',
		'variant' => 'regular',
		'font-size' => '1.125rem',
		'line-height' => '1.7',
		'letter-spacing' => '0',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'body'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper',
			'context' => array( 'editor' ),
		),
	)
) );

/**
 * Heading typography
 */
PTF_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h1_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H1 Titles', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => ryenking_add_custom_choice(),
	'default' => array(
		'font-family' => 'NeueMachina',
		'variant' => '500',
		'font-size' => '4.375rem',
		'line-height' => '1.1',
		'letter-spacing' => '0',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'h1, .h1'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h1, .edit-post-visual-editor.editor-styles-wrapper .editor-post-title__input',
			'context' => array( 'editor' ),
		),
	)
) );

PTF_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h2_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H2 Titles', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => ryenking_add_custom_choice(),
	'default' => array(
		'font-family' => 'NeueMachina',
		'variant' => 'regular',
		'font-size' => '3rem',
		'line-height' => '1.2',
		'letter-spacing' => '0',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'h2, .h2'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h2',
			'context' => array( 'editor' ),
		),
	)
) );

PTF_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h3_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H3 Titles', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => ryenking_add_custom_choice(),
	'default' => array(
		'font-family' => 'NeueMachina',
		'variant' => 'regular',
		'font-size' => '2.5rem',
		'line-height' => '1.2',
		'letter-spacing' => '0',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'h3, .h3'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h3',
			'context' => array( 'editor' ),
		),
	)
) );

PTF_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h4_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H4 Titles', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => ryenking_add_custom_choice(),
	'default' => array(
		'font-family' => 'NeueMachina',
		'variant' => 'regular',
		'font-size' => '1.5rem',
		'line-height' => '1.2',
		'letter-spacing' => '0',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'h4, .h4'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h4',
			'context' => array( 'editor' ),
		),
	)
) );

PTF_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h5_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H5 Titles', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => ryenking_add_custom_choice(),
	'default' => array(
		'font-family' => 'NeueMachina',
		'variant' => '500',
		'font-size' => '1.375rem',
		'line-height' => '1.2',
		'letter-spacing' => '0',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'h5, .h5'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h5',
			'context' => array( 'editor' ),
		),
	)
) );

PTF_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h6_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H6 Titles', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => ryenking_add_custom_choice(),
	'default' => array(
		'font-family' => 'NeueMachina',
		'variant' => '500',
		'font-size' => '1.125rem',
		'line-height' => '1.4',
		'letter-spacing' => '0',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'h6, .h6'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h6',
			'context' => array( 'editor' ),
		),
	)
) );

/**
 * Blockquote typography
 */
PTF_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'blockquote_typography',
	'section' => 'typography_blockquote',
	'label' => esc_html__( 'Blockquote', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => ryenking_add_custom_choice(),
	'default' => array(
		'font-family' => 'NeueMachina',
		'variant' => 'regular',
		'font-size' => '2.5rem',
		'line-height' => '1.4',
		'letter-spacing' => '0',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'blockquote'
		),
		array(
			'element' => '.wp-block-quote, .wp-block-pullquote',
			'context' => array( 'editor' ),
		),
	)
) );

/**
 * Button typography
 */
PTF_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_button',
	'section' => 'typography_buttons',
	'label' => esc_html__( 'Button Typography', 'ryen-king' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => ryenking_add_custom_choice(),
	'default' => array(
		'font-family' => 'NeueMachina',
		'variant' => '500',
		'font-size' => '1.375rem',
		'line-height' => '1.2',
		'letter-spacing' => '0',
		'text-transform' => 'uppercase'
	),
	'output' => array(
		array(
			'element' => '.ptf-btn'
		)
	)
) );