<?php

/**
 * @author: paul_tf
 * @version: 1.0.0
 */

/**
 * Register sidebars
 */
if ( ! function_exists( 'ryenking_register_sidebar' ) ) {
	function ryenking_register_sidebar() {
		register_sidebar( array(
			'name' => esc_html__( 'Blog Sidebar', 'ryen-king' ),
			'id' => 'blog_sidebar',
			'description' => esc_html__( 'Blog Widget Area', 'ryen-king' ),
			'before_widget' => '<div id="%1$s" class="ptf-widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h4 class="ptf-widget__title">',
			'after_title' => '</h4>'
		) );
	}
}
add_action( 'widgets_init', 'ryenking_register_sidebar' );

/**
 * Site preloader
 */
if ( ! function_exists( 'ryenking_site_preloader' ) ) {
	function ryenking_site_preloader() {

		if ( ryenking_get_theme_mod( 'preloader' ) == 'show' ) {
			echo '<div class="ptf-preloader"><div class="main-circle"><div class="child-circle-1"><div class="child-circle-2"></div></div></div></div>';
		}

	}
}
add_action( 'wp_body_open', 'ryenking_site_preloader' );

/**
 * Prints Tracking code
 */
if ( ! function_exists( 'ryenking_print_tracking_code' ) ) {
	function ryenking_print_tracking_code() {
		$tracking_code = ryenking_get_theme_mod( 'tracking_code' );
		if ( ! empty( $tracking_code ) ) {
			echo '' . $tracking_code;
		}
	}
}
add_action( 'wp_head', 'ryenking_print_tracking_code' );