<?php

/**
 * @author: paul_tf
 * @version: 1.0.0
 */

/**
 * Required plugins
 */
if ( ! function_exists( 'ryenking_tgm_plugins' ) ) {
	function ryenking_tgm_plugins() {

		$source = 'http://paul-themes.com/wordpress/ryen/plugins/';

		$plugins = array(
			array(
				'name' => esc_html__( 'Kirki', 'ryen-king' ),
				'slug' => 'kirki',
				'required' => true,
			),
			array(
				'name' => esc_html__( 'RyenKing Helper Plugin', 'ryen-king' ),
				'slug' => 'ryenking_helper_plugin',
				'source' => esc_url( $source . 'ryenking_helper_plugin.zip' ),
				'required' => true,
			),
			array(
				'name' => esc_html__( 'Advanced Custom Fields PRO', 'ryen-king' ),
				'slug' => 'advanced-custom-fields-pro',
				'source' => esc_url( $source . 'advanced-custom-fields-pro.zip' ),
				'required' => true,
			),
			array(
				'name' => esc_html__( 'Elementor Page Builder', 'ryen-king' ),
				'slug' => 'elementor',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'NS Featured Posts', 'ryen-king' ),
				'slug' => 'ns-featured-posts',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Regenerate Thumbnails', 'ryen-king' ),
				'slug' => 'regenerate-thumbnails',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'One Click Demo Import', 'ryen-king' ),
				'slug' => 'one-click-demo-import',
				'required' => false,
			)
		);
		tgmpa( $plugins );
	}
}
add_action( 'tgmpa_register', 'ryenking_tgm_plugins' );

/**
 * Print notice if helper plugin is not installed
 */
if ( ! function_exists( 'ryenking_helper_plugin_notice' ) ) {
	function ryenking_helper_plugin_notice() {
		if ( class_exists( 'PaulTfHelperPlugin' ) ) {
			return;
		}
		echo '<div class="notice notice-info is-dismissible"><p>' . sprintf( __( 'Please activate <strong>%s</strong> before your work with this theme.', 'ryen-king' ), 'RyenKing Helper Plugin' ) . '</p></div>';
	}
}
add_action( 'admin_notices', 'ryenking_helper_plugin_notice' );