<?php

/**
 * Template Name: Fullpage Slider
 * @author: paul_tf
 * @version: 1.0.0
 */

get_header();

$loop_top = ryenking_get_field( 'slider_loop_top' );
$loop_bottom = ryenking_get_field( 'slider_loop_bottom' );
$speed = ryenking_get_field( 'slider_speed' );
$progress_bar = ryenking_get_field( 'slider_progress_bar' );

// prepend query
$args = array(
	'post_type' => 'slide',
	'posts_per_page' => -1,
	'post_status' => 'publish',
);

$new_query = new WP_Query( $args );

?>

<main class="ptf-main">

	<div class="ptf-fullpage-slider" data-loop-top="<?php echo esc_attr( $loop_top ); ?>" data-loop-bottom="<?php echo esc_attr( $loop_bottom ); ?>" data-speed="<?php echo esc_attr( $speed ); ?>">

		<?php

			if ( $new_query->have_posts() ) : while ( $new_query->have_posts() ) : $new_query->the_post();

				$slide_ID = get_the_title();

				// portfolio
				$section_portfolio = ryenking_get_field( 'section_portfolio' );

				?>

				<div class="ptf-section pp-scrollable" data-anchor="<?php echo esc_attr( $slide_ID ); ?>">

					<div class="ptf-section__content">

						<div class="container-fluid p-0">

							<?php the_content(); ?>

						</div>
						<!-- /.container -->

					</div>
					<!-- /.ptf-section__content -->

				</div>
				<!-- /.ptf-section -->

			<?php

			endwhile; endif; wp_reset_postdata();

			// show progress bar
			if ( $progress_bar ) {
				echo '<div class="ptf-nav-widget">';
					echo '<div class="ptf-nav-widget__line"><span></span></div>';
					echo '<div class="ptf-nav-widget__number"></div>';
				echo '</div>';
			}

		?>

	</div>

</main>
<!-- /.ptf-main -->

<?php get_footer(); ?>