<?php

/**
 * @author: paul_tf
 * @version: 1.0.0
 */

$footer_class = 'ptf-footer ptf-footer--default';

$acf_footer = ryenking_get_theme_mod( 'page_custom_footer', true );

if ( ryenking_get_theme_mod( 'footer_fixed', $acf_footer ) == 'enable' ) {
	$footer_class .= ' ptf-footer--fixed';
}

if ( is_404() ) {
	$footer_class .= ' ptf-footer--fixed';
}

?>

<footer class="<?php echo ryenking_sanitize_class( $footer_class ); ?>">

	<a class="ptf-back-to-top" href="#"><?php esc_html_e( 'Back to top', 'ryen-king' ); ?></a>

	<?php

		if ( has_nav_menu( 'navbar-menu' ) ) {

			echo '<nav class="ptf-footer-menu">';

			wp_nav_menu( array(
				'theme_location' => 'navbar-menu',
				'container' => false,
				'depth' => 1,
				'menu_class' => 'sf-menu sf-menu-onepage',
				'fallback_cb' => 'ryenking_fallback_menu',
				'walker' => new RyenKing_Custom_Walker_Nav_Menu()
			) );

			echo '</nav>';

		}

	?>

</footer>
<!-- /.ptf-footer -->