<?php

/**
 * @author: paul_tf
 * @version: 1.0.0
 */

$acf_navbar = ryenking_get_theme_mod( 'page_custom_navigation', true );

if ( ryenking_get_theme_mod( 'navigation_show', $acf_navbar ) == 'hide' ) {
	return;
}

$header_class = 'ptf-header';
$navbar_class = 'ptf-navbar ptf-navbar--main';

if ( ryenking_get_theme_mod( 'navigation_opaque', $acf_navbar ) == 'enable' ) {
	$header_class .= ' ptf-header--opaque';
}

if ( ryenking_get_theme_mod( 'navigation_transparent', $acf_navbar ) == 'enable' ) {
	$navbar_class .= ' ptf-navbar--transparent';
}

if ( ryenking_get_theme_mod( 'navigation_transparent_always', $acf_navbar ) == 'enable' ) {
	$navbar_class .= ' ptf-navbar--transparent-always';
}

if ( ryenking_get_theme_mod( 'navigation_sticky', $acf_navbar ) == 'enable' ) {
	$navbar_class .= ' ptf-navbar--sticky';
}

?>

<header class="<?php echo ryenking_sanitize_class( $header_class ); ?>">

	<div class="<?php echo ryenking_sanitize_class( $navbar_class ); ?>">

		<div class="ptf-navbar-background"></div>

		<div class="ptf-navbar-inner">

			<a class="ptf-menu-burger js-offcanvas-menu-toggle" href="#">
				<span class="line"></span>
				<span class="line"></span>
			</a>
			<!-- /.ptf-menu-burger -->

			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="ptf-navbar-logo">
				<?php if ( ryenking_get_theme_mod( 'navigation_logo' ) ) : ?>
					<img src="<?php echo esc_url( ryenking_get_theme_mod( 'navigation_logo' ) ); ?>" alt="<?php bloginfo( 'name' ); ?>">
				<?php else: ?>
					<img src="<?php echo get_template_directory_uri() . '/assets/img/rk-logo-white.png'; ?>" alt="<?php bloginfo( 'name' ); ?>">
				<?php endif; ?>
			</a>
			<!-- .ptf-navbar-logo -->

			<?php

				if ( has_nav_menu( 'navbar-menu' ) ) {

					echo '<nav class="ptf-navbar-menu">';

					wp_nav_menu( array(
						'theme_location' => 'navbar-menu',
						'container' => false,
						'depth' => 1,
						'menu_class' => 'sf-menu sf-menu-onepage',
						'fallback_cb' => 'ryenking_fallback_menu',
						'walker' => new RyenKing_Custom_Walker_Nav_Menu()
					) );

					echo '</nav>';

				}

			?>

			<?php get_template_part( 'template-parts/header/menu/menu', 'offcanvas' ); ?>

		</div>

	</div>

</header>
<!-- .ptf-header -->