<?php

/**
 * @author: paul_tf
 * @version: 1.0.0
 */

?>

<div class="ptf-offcanvas-menu">

	<?php if ( ryenking_get_theme_mod( 'offcanvas_logo' ) ) : ?>

		<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="ptf-offcanvas-menu__logo">
			<img src="<?php echo esc_url( ryenking_get_theme_mod( 'offcanvas_logo' ) ); ?>" alt="<?php bloginfo( 'name' ); ?>">
		</a>
		<!-- .ptf-offcanvas-menu__logo -->

	<?php endif; ?>

	<a class="ptf-menu-burger ptf-menu-burger--opened js-offcanvas-menu-toggle" href="#">
		<span class="line"></span>
		<span class="line"></span>
	</a>
	<!-- /.ptf-menu-burger -->

	<nav class="ptf-offcanvas-menu__navigation">

		<?php

			$acf_onepage_navigation = ryenking_get_theme_mod( 'onepage_navigation', true );

			if ( $acf_onepage_navigation ) {

				wp_nav_menu( array(
					'theme_location' => 'onepage-menu',
					'container' => false,
					'depth' => 1,
					'menu_class' => 'sf-menu sf-menu-onepage',
					'fallback_cb' => 'ryenking_fallback_menu',
					'walker' => new RyenKing_Custom_Walker_Nav_Menu()
				) );

			} else {

				wp_nav_menu( array(
					'theme_location' => 'primary-menu',
					'container' => false,
					'depth' => 3,
					'menu_class' => 'sf-menu',
					'fallback_cb' => 'ryenking_fallback_menu',
				) );

			}

		?>

	</nav>
	<!-- /.ptf-offcanvas-menu__navigation -->

</div>
<!-- /.ptf-offcanvas-menu -->