<?php

/**
 * @author: paul_tf
 * @version: 1.0.0
 */

$post_class = 'ptf-post ptf-post--single';

while ( have_posts() ) : the_post();

?>

<article <?php post_class( $post_class ); ?>>

	<div class="container p-0">

		<div class="row">

			<div class="col-md-4 col-xl-3 offset-xl-2">

				<?php get_template_part( 'template-parts/single-post/partials/partial-post', 'meta' ); ?>

			</div>

			<div class="col-md-8 col-xl-7">

				<div class="ptf-post-content clearfix">

					<?php get_template_part( 'template-parts/single-post/partials/partial-post', 'content' ); ?>

				</div>
				<!-- /.ptf-post-content -->

				<?php if ( ( function_exists( 'ptfhemes_get_post_share_buttons' ) && ryenking_get_theme_mod( 'show_share_post' ) == 'show' ) || get_the_tags() ) : ?>

					<footer class="ptf-post-footer">

						<?php get_template_part( 'template-parts/single-post/partials/partial-post', 'footer' ); ?>

					</footer>
					<!-- /.ptf-post-footer -->

				<?php endif; ?>

				<?php

					if ( comments_open() || get_comments_number() ) {
						echo '<div class="ptf-post-comments">';
						comments_template( '/alternative-comments.php' );
						echo '</div>';
					}

				?>

			</div>

		</div>

	</div>

</article>
<!-- /.ptf-post -->

<?php endwhile;